/*******************************************************************************
* File Name: LCD_sel2.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LCD_sel2_H) /* Pins LCD_sel2_H */
#define CY_PINS_LCD_sel2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LCD_sel2_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 LCD_sel2__PORT == 15 && ((LCD_sel2__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    LCD_sel2_Write(uint8 value) ;
void    LCD_sel2_SetDriveMode(uint8 mode) ;
uint8   LCD_sel2_ReadDataReg(void) ;
uint8   LCD_sel2_Read(void) ;
uint8   LCD_sel2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LCD_sel2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LCD_sel2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LCD_sel2_DM_RES_UP          PIN_DM_RES_UP
#define LCD_sel2_DM_RES_DWN         PIN_DM_RES_DWN
#define LCD_sel2_DM_OD_LO           PIN_DM_OD_LO
#define LCD_sel2_DM_OD_HI           PIN_DM_OD_HI
#define LCD_sel2_DM_STRONG          PIN_DM_STRONG
#define LCD_sel2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LCD_sel2_MASK               LCD_sel2__MASK
#define LCD_sel2_SHIFT              LCD_sel2__SHIFT
#define LCD_sel2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LCD_sel2_PS                     (* (reg8 *) LCD_sel2__PS)
/* Data Register */
#define LCD_sel2_DR                     (* (reg8 *) LCD_sel2__DR)
/* Port Number */
#define LCD_sel2_PRT_NUM                (* (reg8 *) LCD_sel2__PRT) 
/* Connect to Analog Globals */                                                  
#define LCD_sel2_AG                     (* (reg8 *) LCD_sel2__AG)                       
/* Analog MUX bux enable */
#define LCD_sel2_AMUX                   (* (reg8 *) LCD_sel2__AMUX) 
/* Bidirectional Enable */                                                        
#define LCD_sel2_BIE                    (* (reg8 *) LCD_sel2__BIE)
/* Bit-mask for Aliased Register Access */
#define LCD_sel2_BIT_MASK               (* (reg8 *) LCD_sel2__BIT_MASK)
/* Bypass Enable */
#define LCD_sel2_BYP                    (* (reg8 *) LCD_sel2__BYP)
/* Port wide control signals */                                                   
#define LCD_sel2_CTL                    (* (reg8 *) LCD_sel2__CTL)
/* Drive Modes */
#define LCD_sel2_DM0                    (* (reg8 *) LCD_sel2__DM0) 
#define LCD_sel2_DM1                    (* (reg8 *) LCD_sel2__DM1)
#define LCD_sel2_DM2                    (* (reg8 *) LCD_sel2__DM2) 
/* Input Buffer Disable Override */
#define LCD_sel2_INP_DIS                (* (reg8 *) LCD_sel2__INP_DIS)
/* LCD Common or Segment Drive */
#define LCD_sel2_LCD_COM_SEG            (* (reg8 *) LCD_sel2__LCD_COM_SEG)
/* Enable Segment LCD */
#define LCD_sel2_LCD_EN                 (* (reg8 *) LCD_sel2__LCD_EN)
/* Slew Rate Control */
#define LCD_sel2_SLW                    (* (reg8 *) LCD_sel2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LCD_sel2_PRTDSI__CAPS_SEL       (* (reg8 *) LCD_sel2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LCD_sel2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LCD_sel2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LCD_sel2_PRTDSI__OE_SEL0        (* (reg8 *) LCD_sel2__PRTDSI__OE_SEL0) 
#define LCD_sel2_PRTDSI__OE_SEL1        (* (reg8 *) LCD_sel2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LCD_sel2_PRTDSI__OUT_SEL0       (* (reg8 *) LCD_sel2__PRTDSI__OUT_SEL0) 
#define LCD_sel2_PRTDSI__OUT_SEL1       (* (reg8 *) LCD_sel2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LCD_sel2_PRTDSI__SYNC_OUT       (* (reg8 *) LCD_sel2__PRTDSI__SYNC_OUT) 


#if defined(LCD_sel2__INTSTAT)  /* Interrupt Registers */

    #define LCD_sel2_INTSTAT                (* (reg8 *) LCD_sel2__INTSTAT)
    #define LCD_sel2_SNAP                   (* (reg8 *) LCD_sel2__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_LCD_sel2_H */


/* [] END OF FILE */
