/*******************************************************************************
* File Name: resultADDR.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_resultADDR_H) /* Pins resultADDR_H */
#define CY_PINS_resultADDR_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "resultADDR_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 resultADDR__PORT == 15 && ((resultADDR__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    resultADDR_Write(uint8 value) ;
void    resultADDR_SetDriveMode(uint8 mode) ;
uint8   resultADDR_ReadDataReg(void) ;
uint8   resultADDR_Read(void) ;
uint8   resultADDR_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define resultADDR_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define resultADDR_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define resultADDR_DM_RES_UP          PIN_DM_RES_UP
#define resultADDR_DM_RES_DWN         PIN_DM_RES_DWN
#define resultADDR_DM_OD_LO           PIN_DM_OD_LO
#define resultADDR_DM_OD_HI           PIN_DM_OD_HI
#define resultADDR_DM_STRONG          PIN_DM_STRONG
#define resultADDR_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define resultADDR_MASK               resultADDR__MASK
#define resultADDR_SHIFT              resultADDR__SHIFT
#define resultADDR_WIDTH              4u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define resultADDR_PS                     (* (reg8 *) resultADDR__PS)
/* Data Register */
#define resultADDR_DR                     (* (reg8 *) resultADDR__DR)
/* Port Number */
#define resultADDR_PRT_NUM                (* (reg8 *) resultADDR__PRT) 
/* Connect to Analog Globals */                                                  
#define resultADDR_AG                     (* (reg8 *) resultADDR__AG)                       
/* Analog MUX bux enable */
#define resultADDR_AMUX                   (* (reg8 *) resultADDR__AMUX) 
/* Bidirectional Enable */                                                        
#define resultADDR_BIE                    (* (reg8 *) resultADDR__BIE)
/* Bit-mask for Aliased Register Access */
#define resultADDR_BIT_MASK               (* (reg8 *) resultADDR__BIT_MASK)
/* Bypass Enable */
#define resultADDR_BYP                    (* (reg8 *) resultADDR__BYP)
/* Port wide control signals */                                                   
#define resultADDR_CTL                    (* (reg8 *) resultADDR__CTL)
/* Drive Modes */
#define resultADDR_DM0                    (* (reg8 *) resultADDR__DM0) 
#define resultADDR_DM1                    (* (reg8 *) resultADDR__DM1)
#define resultADDR_DM2                    (* (reg8 *) resultADDR__DM2) 
/* Input Buffer Disable Override */
#define resultADDR_INP_DIS                (* (reg8 *) resultADDR__INP_DIS)
/* LCD Common or Segment Drive */
#define resultADDR_LCD_COM_SEG            (* (reg8 *) resultADDR__LCD_COM_SEG)
/* Enable Segment LCD */
#define resultADDR_LCD_EN                 (* (reg8 *) resultADDR__LCD_EN)
/* Slew Rate Control */
#define resultADDR_SLW                    (* (reg8 *) resultADDR__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define resultADDR_PRTDSI__CAPS_SEL       (* (reg8 *) resultADDR__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define resultADDR_PRTDSI__DBL_SYNC_IN    (* (reg8 *) resultADDR__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define resultADDR_PRTDSI__OE_SEL0        (* (reg8 *) resultADDR__PRTDSI__OE_SEL0) 
#define resultADDR_PRTDSI__OE_SEL1        (* (reg8 *) resultADDR__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define resultADDR_PRTDSI__OUT_SEL0       (* (reg8 *) resultADDR__PRTDSI__OUT_SEL0) 
#define resultADDR_PRTDSI__OUT_SEL1       (* (reg8 *) resultADDR__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define resultADDR_PRTDSI__SYNC_OUT       (* (reg8 *) resultADDR__PRTDSI__SYNC_OUT) 


#if defined(resultADDR__INTSTAT)  /* Interrupt Registers */

    #define resultADDR_INTSTAT                (* (reg8 *) resultADDR__INTSTAT)
    #define resultADDR_SNAP                   (* (reg8 *) resultADDR__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_resultADDR_H */


/* [] END OF FILE */
