/*******************************************************************************
* File Name: resultIn.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_resultIn_H) /* Pins resultIn_H */
#define CY_PINS_resultIn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "resultIn_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 resultIn__PORT == 15 && ((resultIn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    resultIn_Write(uint8 value) ;
void    resultIn_SetDriveMode(uint8 mode) ;
uint8   resultIn_ReadDataReg(void) ;
uint8   resultIn_Read(void) ;
uint8   resultIn_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define resultIn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define resultIn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define resultIn_DM_RES_UP          PIN_DM_RES_UP
#define resultIn_DM_RES_DWN         PIN_DM_RES_DWN
#define resultIn_DM_OD_LO           PIN_DM_OD_LO
#define resultIn_DM_OD_HI           PIN_DM_OD_HI
#define resultIn_DM_STRONG          PIN_DM_STRONG
#define resultIn_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define resultIn_MASK               resultIn__MASK
#define resultIn_SHIFT              resultIn__SHIFT
#define resultIn_WIDTH              8u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define resultIn_PS                     (* (reg8 *) resultIn__PS)
/* Data Register */
#define resultIn_DR                     (* (reg8 *) resultIn__DR)
/* Port Number */
#define resultIn_PRT_NUM                (* (reg8 *) resultIn__PRT) 
/* Connect to Analog Globals */                                                  
#define resultIn_AG                     (* (reg8 *) resultIn__AG)                       
/* Analog MUX bux enable */
#define resultIn_AMUX                   (* (reg8 *) resultIn__AMUX) 
/* Bidirectional Enable */                                                        
#define resultIn_BIE                    (* (reg8 *) resultIn__BIE)
/* Bit-mask for Aliased Register Access */
#define resultIn_BIT_MASK               (* (reg8 *) resultIn__BIT_MASK)
/* Bypass Enable */
#define resultIn_BYP                    (* (reg8 *) resultIn__BYP)
/* Port wide control signals */                                                   
#define resultIn_CTL                    (* (reg8 *) resultIn__CTL)
/* Drive Modes */
#define resultIn_DM0                    (* (reg8 *) resultIn__DM0) 
#define resultIn_DM1                    (* (reg8 *) resultIn__DM1)
#define resultIn_DM2                    (* (reg8 *) resultIn__DM2) 
/* Input Buffer Disable Override */
#define resultIn_INP_DIS                (* (reg8 *) resultIn__INP_DIS)
/* LCD Common or Segment Drive */
#define resultIn_LCD_COM_SEG            (* (reg8 *) resultIn__LCD_COM_SEG)
/* Enable Segment LCD */
#define resultIn_LCD_EN                 (* (reg8 *) resultIn__LCD_EN)
/* Slew Rate Control */
#define resultIn_SLW                    (* (reg8 *) resultIn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define resultIn_PRTDSI__CAPS_SEL       (* (reg8 *) resultIn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define resultIn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) resultIn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define resultIn_PRTDSI__OE_SEL0        (* (reg8 *) resultIn__PRTDSI__OE_SEL0) 
#define resultIn_PRTDSI__OE_SEL1        (* (reg8 *) resultIn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define resultIn_PRTDSI__OUT_SEL0       (* (reg8 *) resultIn__PRTDSI__OUT_SEL0) 
#define resultIn_PRTDSI__OUT_SEL1       (* (reg8 *) resultIn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define resultIn_PRTDSI__SYNC_OUT       (* (reg8 *) resultIn__PRTDSI__SYNC_OUT) 


#if defined(resultIn__INTSTAT)  /* Interrupt Registers */

    #define resultIn_INTSTAT                (* (reg8 *) resultIn__INTSTAT)
    #define resultIn_SNAP                   (* (reg8 *) resultIn__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_resultIn_H */


/* [] END OF FILE */
