/*******************************************************************************
* File Name: OFFCTRL.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OFFCTRL_H) /* Pins OFFCTRL_H */
#define CY_PINS_OFFCTRL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OFFCTRL_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 OFFCTRL__PORT == 15 && ((OFFCTRL__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    OFFCTRL_Write(uint8 value) ;
void    OFFCTRL_SetDriveMode(uint8 mode) ;
uint8   OFFCTRL_ReadDataReg(void) ;
uint8   OFFCTRL_Read(void) ;
uint8   OFFCTRL_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define OFFCTRL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define OFFCTRL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define OFFCTRL_DM_RES_UP          PIN_DM_RES_UP
#define OFFCTRL_DM_RES_DWN         PIN_DM_RES_DWN
#define OFFCTRL_DM_OD_LO           PIN_DM_OD_LO
#define OFFCTRL_DM_OD_HI           PIN_DM_OD_HI
#define OFFCTRL_DM_STRONG          PIN_DM_STRONG
#define OFFCTRL_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define OFFCTRL_MASK               OFFCTRL__MASK
#define OFFCTRL_SHIFT              OFFCTRL__SHIFT
#define OFFCTRL_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OFFCTRL_PS                     (* (reg8 *) OFFCTRL__PS)
/* Data Register */
#define OFFCTRL_DR                     (* (reg8 *) OFFCTRL__DR)
/* Port Number */
#define OFFCTRL_PRT_NUM                (* (reg8 *) OFFCTRL__PRT) 
/* Connect to Analog Globals */                                                  
#define OFFCTRL_AG                     (* (reg8 *) OFFCTRL__AG)                       
/* Analog MUX bux enable */
#define OFFCTRL_AMUX                   (* (reg8 *) OFFCTRL__AMUX) 
/* Bidirectional Enable */                                                        
#define OFFCTRL_BIE                    (* (reg8 *) OFFCTRL__BIE)
/* Bit-mask for Aliased Register Access */
#define OFFCTRL_BIT_MASK               (* (reg8 *) OFFCTRL__BIT_MASK)
/* Bypass Enable */
#define OFFCTRL_BYP                    (* (reg8 *) OFFCTRL__BYP)
/* Port wide control signals */                                                   
#define OFFCTRL_CTL                    (* (reg8 *) OFFCTRL__CTL)
/* Drive Modes */
#define OFFCTRL_DM0                    (* (reg8 *) OFFCTRL__DM0) 
#define OFFCTRL_DM1                    (* (reg8 *) OFFCTRL__DM1)
#define OFFCTRL_DM2                    (* (reg8 *) OFFCTRL__DM2) 
/* Input Buffer Disable Override */
#define OFFCTRL_INP_DIS                (* (reg8 *) OFFCTRL__INP_DIS)
/* LCD Common or Segment Drive */
#define OFFCTRL_LCD_COM_SEG            (* (reg8 *) OFFCTRL__LCD_COM_SEG)
/* Enable Segment LCD */
#define OFFCTRL_LCD_EN                 (* (reg8 *) OFFCTRL__LCD_EN)
/* Slew Rate Control */
#define OFFCTRL_SLW                    (* (reg8 *) OFFCTRL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OFFCTRL_PRTDSI__CAPS_SEL       (* (reg8 *) OFFCTRL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OFFCTRL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OFFCTRL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OFFCTRL_PRTDSI__OE_SEL0        (* (reg8 *) OFFCTRL__PRTDSI__OE_SEL0) 
#define OFFCTRL_PRTDSI__OE_SEL1        (* (reg8 *) OFFCTRL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OFFCTRL_PRTDSI__OUT_SEL0       (* (reg8 *) OFFCTRL__PRTDSI__OUT_SEL0) 
#define OFFCTRL_PRTDSI__OUT_SEL1       (* (reg8 *) OFFCTRL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OFFCTRL_PRTDSI__SYNC_OUT       (* (reg8 *) OFFCTRL__PRTDSI__SYNC_OUT) 


#if defined(OFFCTRL__INTSTAT)  /* Interrupt Registers */

    #define OFFCTRL_INTSTAT                (* (reg8 *) OFFCTRL__INTSTAT)
    #define OFFCTRL_SNAP                   (* (reg8 *) OFFCTRL__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_OFFCTRL_H */


/* [] END OF FILE */
