/*******************************************************************************
* File Name: VGATE.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VGATE_H) /* Pins VGATE_H */
#define CY_PINS_VGATE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VGATE_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_10 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 VGATE__PORT == 15 && ((VGATE__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    VGATE_Write(uint8 value) ;
void    VGATE_SetDriveMode(uint8 mode) ;
uint8   VGATE_ReadDataReg(void) ;
uint8   VGATE_Read(void) ;
uint8   VGATE_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define VGATE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define VGATE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define VGATE_DM_RES_UP          PIN_DM_RES_UP
#define VGATE_DM_RES_DWN         PIN_DM_RES_DWN
#define VGATE_DM_OD_LO           PIN_DM_OD_LO
#define VGATE_DM_OD_HI           PIN_DM_OD_HI
#define VGATE_DM_STRONG          PIN_DM_STRONG
#define VGATE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define VGATE_MASK               VGATE__MASK
#define VGATE_SHIFT              VGATE__SHIFT
#define VGATE_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VGATE_PS                     (* (reg8 *) VGATE__PS)
/* Data Register */
#define VGATE_DR                     (* (reg8 *) VGATE__DR)
/* Port Number */
#define VGATE_PRT_NUM                (* (reg8 *) VGATE__PRT) 
/* Connect to Analog Globals */                                                  
#define VGATE_AG                     (* (reg8 *) VGATE__AG)                       
/* Analog MUX bux enable */
#define VGATE_AMUX                   (* (reg8 *) VGATE__AMUX) 
/* Bidirectional Enable */                                                        
#define VGATE_BIE                    (* (reg8 *) VGATE__BIE)
/* Bit-mask for Aliased Register Access */
#define VGATE_BIT_MASK               (* (reg8 *) VGATE__BIT_MASK)
/* Bypass Enable */
#define VGATE_BYP                    (* (reg8 *) VGATE__BYP)
/* Port wide control signals */                                                   
#define VGATE_CTL                    (* (reg8 *) VGATE__CTL)
/* Drive Modes */
#define VGATE_DM0                    (* (reg8 *) VGATE__DM0) 
#define VGATE_DM1                    (* (reg8 *) VGATE__DM1)
#define VGATE_DM2                    (* (reg8 *) VGATE__DM2) 
/* Input Buffer Disable Override */
#define VGATE_INP_DIS                (* (reg8 *) VGATE__INP_DIS)
/* LCD Common or Segment Drive */
#define VGATE_LCD_COM_SEG            (* (reg8 *) VGATE__LCD_COM_SEG)
/* Enable Segment LCD */
#define VGATE_LCD_EN                 (* (reg8 *) VGATE__LCD_EN)
/* Slew Rate Control */
#define VGATE_SLW                    (* (reg8 *) VGATE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VGATE_PRTDSI__CAPS_SEL       (* (reg8 *) VGATE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VGATE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VGATE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VGATE_PRTDSI__OE_SEL0        (* (reg8 *) VGATE__PRTDSI__OE_SEL0) 
#define VGATE_PRTDSI__OE_SEL1        (* (reg8 *) VGATE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VGATE_PRTDSI__OUT_SEL0       (* (reg8 *) VGATE__PRTDSI__OUT_SEL0) 
#define VGATE_PRTDSI__OUT_SEL1       (* (reg8 *) VGATE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VGATE_PRTDSI__SYNC_OUT       (* (reg8 *) VGATE__PRTDSI__SYNC_OUT) 


#if defined(VGATE__INTSTAT)  /* Interrupt Registers */

    #define VGATE_INTSTAT                (* (reg8 *) VGATE__INTSTAT)
    #define VGATE_SNAP                   (* (reg8 *) VGATE__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_VGATE_H */


/* [] END OF FILE */
