/*  ==============================================================
    WRITTEN BY TAEHOON JEONG ON JULY 20TH, 2015
    ADJUST VALUES IN THE IMPORTANT SECTION BEFORE YOUR MEASUREMENT
    ==============================================================
*/
#include "utils.h"

int printSel1=0, printSel2=0, go=0;

CY_ISR(mainSel){
    if(printSel1==17){ printSel1=0; }
    else{ printSel1=printSel1+1; }
    LCD_sel1_ClearInterrupt(); 
}
CY_ISR(subSel){ 
    if(printSel1==0){
        if(printSel2==2){ printSel2=0; }
        else{ printSel2=printSel2+1; }
    }
    else if(printSel1==17){ printSel2=0; }
    else{
        if(printSel2==7){ printSel2=0; }
        else{ printSel2=printSel2+1; }
    }
    LCD_sel2_ClearInterrupt(); 
}
CY_ISR(checkResult){ go=1; }

int main()
{
    CyGlobalIntEnable; //Enable global interrupts
    
    /* Starting PSoC Blocks */
    RTC_Start();
    LCD_Start();
    sel1_StartEx(mainSel);
    sel2_StartEx(subSel);
    //check_StartEx(checkResult);
    VDAC_VGATE_Start();
    VDAC_VREF_Start();
    VDAC_OFFPN_Start();
    VDAC_OFFCTRL_Start();
    //ext_clk_Start();
    
    /* Variable Declaration & Initialization */
    
    /////////////IMPORTANT SECTION BEGINS/////////////
    uint8 sel8to15=0b00000000, sel0to7=0b00000000; //Select Fuseline to Measure
    int vgate=100, vref=50, offpn=112, offctrl=112, divider=9999; //Set Ananlog Voltage Input & Clock Divider
    RTC_TIME_DATE Start; //Start Date of Measurement
    Start.Sec=50;
    Start.Min=59;
    Start.Hour=23;
    Start.DayOfMonth=30;
    Start.Month=7;
    Start.Year=2015;
    /////////////IMPORTANT SECTION ENDS/////////////
    
    int addr=0;
    uint8 i,j;
    uint8 result[16][8], month[16][8], day[16][8], hour[16][8], minute[16][8], second[16][8];
    //If fuse is broken, result[*][*] is 1. Otherwise, it is 0. year~second records the year~second when the fuse was broken
    uint16 year[16][8];
    for(i=0; i<16; i++){for(j=0; j<8; j++){
        result[i][j]=0; year[i][j]=0; month[i][j]=0; day[i][j]=0; hour[i][j]=0; minute[i][j]=0; second[i][j]=0;    
    }}
        
    /* PSoC Block Initialization */
    RTC_WriteTime(&Start);
    VDAC_VGATE_SetValue(vgate);
    VDAC_VREF_SetValue(vref);
    VDAC_OFFPN_SetValue(offpn);
    VDAC_OFFCTRL_SetValue(offctrl);
    selH_Write(sel8to15);
    selL_Write(sel0to7);
    //ext_clk_SetDivider(divider);
    
    for(;;)
    {
        if(printSel1==0){
            LCD_DisplayOn();
            if(printSel2==0){
                PrintStartPage1();
            }
            else if(printSel2==1){
                PrintStartPage2(vgate,vref);
            }
            else if(printSel2==2){
                PrintStartPage3(offpn,offctrl);
            }
        }
        else if(printSel1==17){ LCD_DisplayOff(); }
        else{
            PrintNormalPage(printSel1-1, printSel2, result, year, 
                            month, day, hour, minute, second);
        }
        
        if(go){
            go=0;
            if(addr==15){ addr=0; }
            else{ addr=addr+1; }
            resultADDR_Write(addr);
            if((result_0_Read()==1)&&(result[addr][0]==0)){
                result[addr][0]=1; year[addr][0]=RTC_ReadYear(),
                month[addr][0]=RTC_ReadMonth(),day[addr][0]=RTC_ReadDayOfMonth(),
                hour[addr][0]=RTC_ReadHour(),minute[addr][0]=RTC_ReadMinute(),
                second[addr][0]=RTC_ReadSecond();
            }
            if((result_1_Read()==1)&&(result[addr][1]==0)){
                result[addr][1]=1; year[addr][1]=RTC_ReadYear(),
                month[addr][1]=RTC_ReadMonth(),day[addr][1]=RTC_ReadDayOfMonth(),
                hour[addr][1]=RTC_ReadHour(),minute[addr][1]=RTC_ReadMinute(),
                second[addr][1]=RTC_ReadSecond();
            }
            if((result_2_Read()==1)&&(result[addr][2]==0)){
                result[addr][2]=1; year[addr][2]=RTC_ReadYear(),
                month[addr][2]=RTC_ReadMonth(),day[addr][2]=RTC_ReadDayOfMonth(),
                hour[addr][2]=RTC_ReadHour(),minute[addr][2]=RTC_ReadMinute(),
                second[addr][2]=RTC_ReadSecond();
            }
            if((result_3_Read()==1)&&(result[addr][3]==0)){
                result[addr][3]=1; year[addr][3]=RTC_ReadYear(),
                month[addr][3]=RTC_ReadMonth(),day[addr][3]=RTC_ReadDayOfMonth(),
                hour[addr][3]=RTC_ReadHour(),minute[addr][3]=RTC_ReadMinute(),
                second[addr][3]=RTC_ReadSecond();
            }
            if((result_4_Read()==1)&&(result[addr][4]==0)){
                result[addr][4]=1; year[addr][4]=RTC_ReadYear(),
                month[addr][4]=RTC_ReadMonth(),day[addr][4]=RTC_ReadDayOfMonth(),
                hour[addr][4]=RTC_ReadHour(),minute[addr][4]=RTC_ReadMinute(),
                second[addr][4]=RTC_ReadSecond();
            }
            if((result_5_Read()==1)&&(result[addr][5]==0)){
                result[addr][5]=1; year[addr][5]=RTC_ReadYear(),
                month[addr][5]=RTC_ReadMonth(),day[addr][5]=RTC_ReadDayOfMonth(),
                hour[addr][5]=RTC_ReadHour(),minute[addr][5]=RTC_ReadMinute(),
                second[addr][5]=RTC_ReadSecond();
            }
            if((result_6_Read()==1)&&(result[addr][6]==0)){
                result[addr][6]=1; year[addr][6]=RTC_ReadYear(),
                month[addr][6]=RTC_ReadMonth(),day[addr][6]=RTC_ReadDayOfMonth(),
                hour[addr][6]=RTC_ReadHour(),minute[addr][6]=RTC_ReadMinute(),
                second[addr][6]=RTC_ReadSecond();
            }
            if((result_7_Read()==1)&&(result[addr][7]==0)){
                result[addr][7]=1; year[addr][7]=RTC_ReadYear(),
                month[addr][7]=RTC_ReadMonth(),day[addr][7]=RTC_ReadDayOfMonth(),
                hour[addr][7]=RTC_ReadHour(),minute[addr][7]=RTC_ReadMinute(),
                second[addr][7]=RTC_ReadSecond();
            }
        }
    }
}


