/*******************************************************************************
* File Name: sel1.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_sel1_H)
#define CY_ISR_sel1_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void sel1_Start(void);
void sel1_StartEx(cyisraddress address);
void sel1_Stop(void);

CY_ISR_PROTO(sel1_Interrupt);

void sel1_SetVector(cyisraddress address);
cyisraddress sel1_GetVector(void);

void sel1_SetPriority(uint8 priority);
uint8 sel1_GetPriority(void);

void sel1_Enable(void);
uint8 sel1_GetState(void);
void sel1_Disable(void);

void sel1_SetPending(void);
void sel1_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the sel1 ISR. */
#define sel1_INTC_VECTOR            ((reg32 *) sel1__INTC_VECT)

/* Address of the sel1 ISR priority. */
#define sel1_INTC_PRIOR             ((reg8 *) sel1__INTC_PRIOR_REG)

/* Priority of the sel1 interrupt. */
#define sel1_INTC_PRIOR_NUMBER      sel1__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable sel1 interrupt. */
#define sel1_INTC_SET_EN            ((reg32 *) sel1__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the sel1 interrupt. */
#define sel1_INTC_CLR_EN            ((reg32 *) sel1__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the sel1 interrupt state to pending. */
#define sel1_INTC_SET_PD            ((reg32 *) sel1__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the sel1 interrupt. */
#define sel1_INTC_CLR_PD            ((reg32 *) sel1__INTC_CLR_PD_REG)


#endif /* CY_ISR_sel1_H */


/* [] END OF FILE */
